#!/bin/ksh
#
# chHMCpasswd.ksh
# 01.001.06
# Remotely change password for HMC user.
# 
# Note:   SSH Keys need to be setup between the HMCs and the management server.
#
# Syntax:   chHMCpasswd  [user name]  [new password]  [HMC name]
#

ProgramName="$(basename $0)"
TimeStamp=`date +"%d %b %Y, %H:%M"`

HMClist=          ## Can be a single HMC, a list of HMCs, or a file containing a list of HMCs

if [[ -z $1 ]] || [[ -z $2 ]] || [[ -z $3 ]]
  then echo "${ProgramName}: ${TimeStamp} - Missing parameters."
       echo "     - Syntax: chHMCpasswd  [user name]  [new password] [HMC name]"
       exit 1
fi

if [[ -n $3 ]]
  then if [[ -f $3 ]]
         then HMClist=`cat $3`
       fi
       HMClist=$3
fi

for HMC in $HMClist
do
  echo "${HMC}"
  ssh hscroot@${HMC} "chhmcuser -u ${1} -t passwd -v ${2}"
done
